/// <reference types="superagent" />
import { User } from "../../realms/AdminRealm";
import { AuthProvider } from "../AuthProvider";
import * as superagent from 'superagent';
export interface AzureAuthServiceConfig {
    tenant_id: string;
    skipVerification?: boolean;
}
export declare class AzureAuthProvider extends AuthProvider {
    name: string;
    readonly tenantId: string;
    private readonly skipVerification;
    constructor(config: AzureAuthServiceConfig);
    authenticateOrCreateUser(body: any): Promise<User>;
    httpGet(uri: any): Promise<superagent.Response>;
    validateSignature(accessToken: any, keys: any, kid: any): void;
}
