"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const __1 = require("..");
const path = require("path");
function main() {
    return __awaiter(this, void 0, void 0, function* () {
        const server = new __1.Server({
            dataPath: path.resolve('./data'),
        });
        const authService = new __1.AuthService();
        authService.addProvider(new __1.auth.PasswordAuthProvider());
        const myAuthProvider = {
            name: "mine",
            authenticateOrCreateUser: function (body) {
                return __awaiter(this, void 0, void 0, function* () {
                    return this.service.createOrUpdateUser(body.username, "mine", false);
                });
            },
        };
        authService.addProvider(myAuthProvider);
        server.addService(authService);
        server.addService(new __1.RealmDirectoryService());
        server.addService(new __1.LogService());
        server.addService(new __1.SyncProxyService());
        server.addService(new __1.SyncService());
        server.addService(new __1.HealthService());
        yield server.start();
    });
}
main();
//# sourceMappingURL=custom-auth.js.map