import { Server } from "../Server";
import { Discovery } from '../discovery/Discovery';
import { Permission, PermissionChange, PermissionOffer, PermissionOfferResponse, User, RealmFile } from '../realms';
export declare class PermissionService {
    static MANAGEMENT_REALM_REGEX: string;
    static ADMIN_REALM_REGEX: string;
    discovery: Discovery;
    private syncedManagementRealm;
    private readonly managementRealm;
    private syncedAdminRealm;
    private readonly adminRealm;
    private privateKey;
    private dataPath;
    private logger;
    private adminTokenUser;
    private server;
    serverStarted(server: Server): void;
    stop(): void;
    getUserByUserId(userId: string): User;
    getAllUsers(): Realm.Results<User>;
    getUserIdsWithMetadata(key: string, value: string): string[];
    getUsersByUserIds(userIds: string[]): Realm.Results<User>;
    getManagementRealmForUserId(userId: string): Realm;
    getAdminRealmPermissionForUserAndFile(realmFilePath: string, userId: string): {
        permission: Permission;
        adminRealm: Realm;
    };
    getUserSpecificPermissionAndRealm(realmPath: string, userId: string): {
        permission: Permission;
        userSpecificRealm: Realm;
    };
    handleManagementRealmChange: (changeEvent: Realm.Sync.ChangeEvent) => Promise<void>;
    handlePermissionOfferObject(permissionOffer: PermissionOffer, userId: string): void;
    handlePermissionOfferResponseObject(permissionOfferResponse: PermissionOfferResponse): void;
    handlePermissionChangeObject(permissionChange: PermissionChange, userId: string): void;
    handleNewUserRegistration(changeEvent: Realm.Sync.ChangeEvent): void;
    setPermissionsForEntireSystem(users: Realm.Results<User>, realmFiles: Realm.Results<RealmFile>, mayWrite: boolean, mayRead: boolean, mayManage: boolean, permissionChange?: PermissionChange): void;
}
